﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-il2cpp'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://netstorage.unity3d.com/unity/dcb72c2e9334/TargetSupportInstaller/UnitySetup-Windows-IL2CPP-Support-for-Editor-2019.2.15f1.exe'
$checksum64     = 'b542d2a1fb700fdc1ffc64426a429886de64478b5dd7df96fd6401071f58f5a0'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum       = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
